<?php
$wp_customize->add_section(
   'header_style_options' ,
    array(
        'title' => __( 'Header Layout', 'maglink' ),
        'panel' => 'header_options_panel',
    )
);


$wp_customize->add_setting(
    'maglink_options[select_header_layout_style]',
    array(
        'default'           => $maglink_default['select_header_layout_style'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'maglink_sanitize_radio'
    )
);

$wp_customize->add_control(
    new Maglink_Custom_Radio_Image_Control(
        $wp_customize,
        'maglink_options[select_header_layout_style]',
        array(
            'label'         => esc_html__( 'Select Header Layout', 'maglink' ),
            'section'       => 'header_style_options',
            'choices'       => maglink_get_header_layout(),
        )
    )
);

$wp_customize->add_setting(
    'maglink_options[enable_header_advertisement]',
    array(
        'default'           => $maglink_default['enable_header_advertisement'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[enable_header_advertisement]',
    array(
        'label'    => __( 'Enable Header Advertisement', 'maglink' ),
        'section'     => 'header_style_options',
        'type'        => 'checkbox',
    )
);


$wp_customize->add_setting(
    'maglink_options[header_advert_image]',
    array(
        'default' => $maglink_default['header_advert_image'],
        'sanitize_callback' => 'maglink_sanitize_image',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'maglink_options[header_advert_image]',
        array(
            'label' => __('Upload Banner Advertisement', 'maglink'),
            'section' => 'header_style_options',
            'active_callback' => 'maglink_header_advertisement',

        )
    )
);


$wp_customize->add_setting(
    'maglink_options[header_advert_image_url]',
    array(
        'default'           => $maglink_default['header_advert_image_url'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'maglink_options[header_advert_image_url]',
    array(
        'label'    => __( 'Banner Advertisement URL', 'maglink' ),
        'section'  => 'header_style_options',
        'type'     => 'text',
        'active_callback' => 'maglink_header_advertisement',

    )
);